Skip to content

Replace receive invoice

Request

Fully replaces an existing Receive Invoice. All fields must be provided.

Security
bearer
Path
siteIdnumberrequired

Site identifier

receiveInvoiceIdstringrequired

Receive Invoice unique identifier (UUID)

Bodyapplication/jsonrequired
commentsstringrequired

Free-text comments associated with the receive invoice.

Example:"example"
currencystringrequired

ISO 4217 currency code for all monetary amounts on this invoice.

Example:"CODE-001"
dueDatestringrequired

Due date/time for payment of the receive invoice.

Example:"2025-01-01"
extensionsobjectrequired

Vendor- or practice-specific extensions.

freightAmountstringrequired

Total freight amount including tax, as a decimal string.

Example:"100.00"
freightTaxAmountstringrequired

Tax component of the freight amount, as a decimal string.

Example:"100.00"
invoiceNumberstringrequired

Supplier-provided invoice number used to track the invoice on their end.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether the receive invoice is active.

Example:true
lineItemsArray of objects(LineItemDto)required

Line items that make up this receive invoice.

ownershipIdstringrequired

Identifier of the ownership separation to which this receive invoice belongs.

Example:"123e4567-e89b-12d3-a456-426614174000"
purchaseOrderIdsArray of stringsrequired

List of purchase orders associated with this receive invoice.

roundingAmountstringrequired

Rounding adjustment applied to the invoice total, as a decimal string.

Example:"100.00"
supplierIdstringrequired

Identifier of the supplier contact associated with this receive invoice.

Example:"123e4567-e89b-12d3-a456-426614174000"
taxAmountstringrequired

Total tax amount for the invoice, as a decimal string.

Example:"100.00"
totalAmountstringrequired

Total invoice amount including tax, as a decimal string.

Example:"100.00"
transactedAtstringrequired

Timestamp of the receive invoice transaction.

Example:"2025-01-01T00:00:00.000Z"
curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/receive-invoice/{receiveInvoiceId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "comments": "example",
    "currency": "CODE-001",
    "dueDate": "2025-01-01",
    "extensions": {},
    "freightAmount": "100.00",
    "freightTaxAmount": "100.00",
    "invoiceNumber": "123e4567-e89b-12d3-a456-426614174000",
    "isActive": true,
    "lineItems": [
      {
        "createdAt": "2025-01-01T00:00:00.000Z",
        "discountAmount": "100.00",
        "extensions": {},
        "groupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceLineItemId": "123e4567-e89b-12d3-a456-426614174000",
        "isActive": true,
        "ledgerAccountId": "123e4567-e89b-12d3-a456-426614174000",
        "lineTaxAmount": "100.00",
        "lineTotalAmount": "100.00",
        "lineType": "example",
        "locationId": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Example Name",
        "ownershipId": "123e4567-e89b-12d3-a456-426614174000",
        "productId": "123e4567-e89b-12d3-a456-426614174000",
        "quantity": 1.23,
        "salesPersonId": "123e4567-e89b-12d3-a456-426614174000",
        "standardUnitPriceAmount": "100.00",
        "standardUnitTaxAmount": "100.00",
        "status": "example",
        "taxCode": "CODE-001",
        "taxPercent": 1.23,
        "unitPriceAmount": "100.00",
        "unitTaxAmount": "100.00",
        "updatedAt": "2025-01-01T00:00:00.000Z"
      }
    ],
    "ownershipId": "123e4567-e89b-12d3-a456-426614174000",
    "purchaseOrderIds": [
      "string"
    ],
    "roundingAmount": "100.00",
    "supplierId": "123e4567-e89b-12d3-a456-426614174000",
    "taxAmount": "100.00",
    "totalAmount": "100.00",
    "transactedAt": "2025-01-01T00:00:00.000Z"
  }'

Responses

Receive Invoice replaced successfully

Bodyapplication/json
commentsstringrequired

Free-text comments associated with the receive invoice.

Example:"example"
createdAtstring, (date-time)required

Timestamp when the receive invoice was created.

Example:"2025-01-01T00:00:00.000Z"
currencystringrequired

ISO 4217 currency code for all monetary amounts on this invoice.

Example:"CODE-001"
dueDatestring, (date-time)required

Due date/time for payment of the receive invoice.

Example:"2025-01-01T00:00:00Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

freightAmountstringrequired

Total freight amount including tax, as a decimal string.

Example:"100.00"
freightTaxAmountstringrequired

Tax component of the freight amount, as a decimal string.

Example:"100.00"
invoiceNumberstringrequired

Supplier-provided invoice number used to track the invoice on their end.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether the receive invoice is active.

Example:true
lineItemsArray of objects(LineItemDto)required

Line items that make up this receive invoice.

ownershipIdstringrequired

Identifier of the ownership separation to which this receive invoice belongs.

Example:"123e4567-e89b-12d3-a456-426614174000"
purchaseOrderIdsArray of stringsrequired

List of purchase orders associated with this receive invoice.

receiveInvoiceIdstringrequired

Canonical identifier for the receive invoice.

Example:"123e4567-e89b-12d3-a456-426614174000"
roundingAmountstringrequired

Rounding adjustment applied to the invoice total, as a decimal string.

Example:"100.00"
supplierIdstringrequired

Identifier of the supplier contact associated with this receive invoice.

Example:"123e4567-e89b-12d3-a456-426614174000"
taxAmountstringrequired

Total tax amount for the invoice, as a decimal string.

Example:"100.00"
totalAmountstringrequired

Total invoice amount including tax, as a decimal string.

Example:"100.00"
updatedAtstring, (date-time)required

Timestamp when the receive invoice was last updated.

Example:"2025-01-01T00:00:00.000Z"
transactedAtstring, (date-time)required

Timestamp of the receive invoice transaction.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "comments": "example", "createdAt": "2025-01-01T00:00:00.000Z", "currency": "CODE-001", "dueDate": "2025-01-01T00:00:00Z", "extensions": {}, "freightAmount": "100.00", "freightTaxAmount": "100.00", "invoiceNumber": "123e4567-e89b-12d3-a456-426614174000", "isActive": true, "lineItems": [ { … } ], "ownershipId": "123e4567-e89b-12d3-a456-426614174000", "purchaseOrderIds": [ "string" ], "receiveInvoiceId": "123e4567-e89b-12d3-a456-426614174000", "roundingAmount": "100.00", "supplierId": "123e4567-e89b-12d3-a456-426614174000", "taxAmount": "100.00", "totalAmount": "100.00", "updatedAt": "2025-01-01T00:00:00.000Z", "transactedAt": "2025-01-01T00:00:00.000Z" }